/* mods 871211 for HyperCard XFCN work -- remove <stdio> stuff and
 * go to the Mac toolbox and HC system ... ^z
 */

/* functions to open files as needed in qndxr work...
 */

#include "buildIndex.1.h"


/* open the key file with proper name for this pass ... file will be
 * named "z0kN" where N represents the pass number ....
 */

int open_kfile (vRef0, pass_number)
  int vRef0, pass_number;
  {
	Str255 fname;
	int i;
	
	fname[1] = 'z';
	fname[2] = '0';
	fname[3] = 'k';
	i = putNum ((char *)fname + 4, pass_number);
	fname[0] = i + 3;
	
	if (Create (fname, vRef0, '????', 'CTLZ') != noErr)
	  {
		give_msg ("\pSorry, fatal error creating key file -- click mouse to exit, then reboot!");
		beepWait ();
	  	RestoreA4();
		ExitToShell ();
	  }
	
	if (FSOpen (fname, vRef0, &i) != noErr)
	  {
		give_msg ("\pSorry, fatal error opening key file -- click mouse to exit, then reboot!");
		beepWait ();
	  	RestoreA4();
		ExitToShell ();
	  }

	return (i);
  }


/* open the ptr file with proper name for this pass ... file will be
 * named "z0pN" where N represents the pass number ....
 */

int open_pfile (vRef0, pass_number)
  int vRef0, pass_number;
  {
	Str255 fname;
	int i;
	
	fname[1] = 'z';
	fname[2] = '0';
	fname[3] = 'p';
	i = putNum ((char *)fname + 4, pass_number);
	fname[0] = i + 3;
	if (Create (&fname, vRef0, '????', 'CTLZ') != noErr)
	  {
		give_msg ("\pSorry, fatal error creating ptr file -- click mouse to exit, then reboot!");
		beepWait ();
	  	RestoreA4();
		ExitToShell ();
	  }
	
	if (FSOpen (&fname, vRef0, &i) != noErr)
	  {
		give_msg ("\pSorry, fatal error opening ptr file -- click mouse to exit, then reboot!");
		beepWait ();
	  	RestoreA4();
		ExitToShell ();
	  }

	return (i);
  }


/* function to take the place of stdio's ftell()
 */

long zftell (refnum)
  int refnum;
  {
	long ans;
	
	GetFPos (refnum, &ans);
	return (ans);
  }

